CLS
@ECHO OFF 
COLOR 1F
REM ****************************************************************************
REM ** SCRIPT      : FolderSync
REM ** BESCHREIBUNG: Fhrt die Synchronisation zweier Verzeichnisse durch (Inkrementell, Master/Slave!)
REM ** AUTOR       : Bjrn Bastian (http://aufschnur.de)
REM ** VERSION     : 2016-03-03
REM **
REM ** HINWEISE    : - Bentigt ROBOCOPY (ab Windows Vista vorinstalliert)
REM **               - Fr Umlaute in ECHO: = = = = = =
REM ****************************************************************************

CHCP 1252
REM KONFIGURATION ----------------------
REM Quell- und Zielverzeichnis angeben. WICHTIG:
REM Verzeichnisse die Leerzeichen enthalten mssen mit Anfhrungszeichen umschlossen werden
REM Kein abschlieender Backslash \, auer wenn komplettes Laufwerk syncronisiert werden soll
SET quelle=
SET ziel=
REM ------------------------------------
CHCP 850
CLS

ECHO. 
ECHO ++++++++++++++++++++++
ECHO +++ DATENSICHERUNG +++
ECHO ++++++++++++++++++++++
ECHO.

SET timestamp=%date:~-4%%date:~3,2%%date:~0,2%-%time:~0,2%%time:~3,2%

ECHO.
ECHO VERZEICHNISSE CHECKEN...
IF NOT EXIST %quelle% GOTO ERRSOURCE
IF NOT EXIST %ziel% GOTO ERRDEST

ECHO.
ECHO SYNCHRONISIERUNG STARTEN...
ECHO.
ROBOCOPY %quelle% %ziel% /COPY:DAT /MIR /R:3 /W:20
IF %ERRORLEVEL% GEQ 8 GOTO ERRCOPY 
GOTO END

REM FEHLERBEHANDLUNG
:ERRCOPY
ECHO.
ECHO FEHLER: Mindestens eine Datei konnte nicht kopiert/gelscht werden!
ECHO %timestamp%  FEHLER: Mindestens eine Datei konnte nicht kopiert/geloescht werden! >> "%~n0.log"
GOTO ERREND
:ERRSOURCE
ECHO.
ECHO FEHLER: Quellverzeichnis nicht vorhanden!
ECHO %timestamp%  FEHLER: Quellverzeichnis nicht vorhanden! (%quelle%) >> "%~n0.log"
GOTO ERREND
:ERRDEST
ECHO.
ECHO FEHLER: Zielverzeichnis nicht vorhanden!
ECHO %timestamp%  FEHLER: Zielverzeichnis nicht vorhanden! (%ziel%) >> "%~n0.log"
GOTO ERREND

REM SHIT HAPPENS
:ERREND
COLOR 4F
ECHO.
ECHO VORGANG MIT FEHLERN ABGESCHLOSSEN
ECHO.
ECHO Dieses Fenster schliesst sich in 5 Sekunden.
ECHO.
ping -n 5 localhost >nul
EXIT

REM HAPPY END
:END
COLOR 2F
ECHO.
ECHO VORGANG ERFOLGREICH ABGESCHLOSSEN
ECHO.
ECHO Dieses Fenster schliesst sich in 5 Sekunden.
ECHO.
ping -n 5 localhost >nul
EXIT
